\documentclass[pstricks,border=12pt]{standalone}% remove the border key if you want a tight output without any border.
\begin{document}
\psset{unit=1cm}
\begin{pspicture}(-3.5,-1.5)(5.5,5.5)
%\psgrid
\pspolygon[fillstyle=solid,fillcolor=lightgray](0,2.5)(-0.7,2.1)(0.15,1.95)(1.8,1)(1.2,-1)(2.6,-0.6)(2.6,1.3)%SGCPNMS
\psline[linewidth=1.25pt]{->}(0,0)(-0.3,-0.1)
\psline[linewidth=1.25pt]{->}(0,0)(0.4,-0.15)
\psline[linewidth=1.25pt]{->}(0,0)(0,0.5)
\psline[linewidth=1.25pt,linestyle=dashed](-0.3,-0.1)(-2.2,-0.5)
\psline[linewidth=1.25pt,linestyle=dashed](0.4,-0.15)(2.6,-0.6)
\psline[linewidth=1.25pt,linestyle=dashed](0,0.5)(0,2.5)
\pspolygon(0,2.5)(2.6,1.3)(2.6,-0.6)(0.4,-1.2)(-2.2,-0.5)(-2.2,1.3)%SGCBAES
\psline(-0.7,2.1)(0,4.35)%KU
\psline(-2.2,1.3)(0.4,0.6)(2.6,1.3)%EFG
\psline(0,2.5)(0,4.35)%SU
\psline(1.7,5.5)(0,4.35)(5.5,3.2)%%--UV
\psline(-0.7,2.1)(0.15,1.95)(1.8,1)(1.2,-1)%KMNP
\pspolygon(0.8,3.4)(0.8,2.3)(1.8,2.1)(1.8,3.2)
\psline(1,3.4)(1,2.3) \psline(1.5,3.25)(1.5,2.15)
\psline(0.4,-1.2)(0.4,0.6)(0,2.5)%BFS
\uput[ul](-2.2,-0.5){A} \uput[d](0.4,-1.2){B} \uput[ur](2.6,-0.6){C} 
\uput[d](0,0){O} \uput[ul](-2.2,1.3){E} \uput[ur](0.4,0.6){F} 
\uput[ur](2.6,1.3){G} \uput[ur](0,2.5){S} \uput[ul](-0.7,2.1){K} 
\uput[ur](0.15,1.95){M} \uput[ul](0,4.35){U} \uput[u](5.5,3.2){V}
\uput[dl](1.8,1){N} \uput[dr](1.2,-1){P}
\uput[d](-0.3,0){$\vect{\imath}$} \uput[r](0.3,0){$\vect{\jmath}$} \uput[l](-0.1,0.3){$\vect{k}$}
\psline(2.6,-0.6)(4.4,-1) 
\psline(-2.2,-0.5)(-3.5,-0.8)
\end{pspicture}
\end{document}
